# frozen_string_literal: true

require 'date'

module CapitalOnTap
  class ApplicationParamsGenerator
    APPLICATION_PARAMS = lambda {
      {
        Salutation: 'Mr',
        FirstName: 'Roberto',
        LastName: 'Caras',
        DateOfBirth: Date.parse("1980-#{rand(1..12)}-#{rand(1..28)}"),
        MobilePhone: "077123456#{rand(11..99)}",
        EmailAddress: "oterosantos_#{rand(1..100)}@gmail.com",
        PersonalAddress: {
          CountryCode: 'UK',
          Street: "Unit #{rand(1..99)} Falcon Way Adelaide Industrial Estate, Boucher Road",
          PostCode: 'BT12 6SQ',
          City: 'Belfast'
        },
        TradingName: 'DUNDER MCMIFFLIN LTD',
        BusinessLegalName: 'DUNDER MCMIFFLIN LTD',
        BusinessLandline: '07874186570',
        YearsTrading: rand(1..10),
        MonthlyTurnOver: rand(300...9000),
        BusinessType: 'LimitedCompany',
        BusinessAddress: {
          CountryCode: 'UK',
          Street: "Unit #{rand(1..99)} Falcon Way Adelaide Industrial Estate, Boucher Road",
          PostCode: 'BT12 6SQ',
          City: 'Belfast'
        },
        RegistrationNumber: 'NI644403'
      }
    }

    def self.generate
      APPLICATION_PARAMS.call
    end
  end
end
